Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network16.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
16.0.0.0
Broadcast address
16.255.255.255
First usable
16.0.0.1
Last usable
16.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 10000000 · Integer 268435456 to 285212671
Reverse DNS zone
16.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010000..00000000.00000000.0000000016.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00010000..00000000.00000000.0000000016.0.0.0
Broadcast00010000..11111111.11111111.1111111116.255.255.255
Split into smaller subnets/15

16.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
116.0.0.0/1516.0.0.1 to 16.1.255.25416.1.255.255131,070
216.2.0.0/1516.2.0.1 to 16.3.255.25416.3.255.255131,070
316.4.0.0/1516.4.0.1 to 16.5.255.25416.5.255.255131,070
416.6.0.0/1516.6.0.1 to 16.7.255.25416.7.255.255131,070
516.8.0.0/1516.8.0.1 to 16.9.255.25416.9.255.255131,070
616.10.0.0/1516.10.0.1 to 16.11.255.25416.11.255.255131,070
716.12.0.0/1516.12.0.1 to 16.13.255.25416.13.255.255131,070
816.14.0.0/1516.14.0.1 to 16.15.255.25416.15.255.255131,070
916.16.0.0/1516.16.0.1 to 16.17.255.25416.17.255.255131,070
1016.18.0.0/1516.18.0.1 to 16.19.255.25416.19.255.255131,070
1116.20.0.0/1516.20.0.1 to 16.21.255.25416.21.255.255131,070
1216.22.0.0/1516.22.0.1 to 16.23.255.25416.23.255.255131,070
1316.24.0.0/1516.24.0.1 to 16.25.255.25416.25.255.255131,070
1416.26.0.0/1516.26.0.1 to 16.27.255.25416.27.255.255131,070
1516.28.0.0/1516.28.0.1 to 16.29.255.25416.29.255.255131,070
1616.30.0.0/1516.30.0.1 to 16.31.255.25416.31.255.255131,070
1716.32.0.0/1516.32.0.1 to 16.33.255.25416.33.255.255131,070
1816.34.0.0/1516.34.0.1 to 16.35.255.25416.35.255.255131,070
1916.36.0.0/1516.36.0.1 to 16.37.255.25416.37.255.255131,070
2016.38.0.0/1516.38.0.1 to 16.39.255.25416.39.255.255131,070
2116.40.0.0/1516.40.0.1 to 16.41.255.25416.41.255.255131,070
2216.42.0.0/1516.42.0.1 to 16.43.255.25416.43.255.255131,070
2316.44.0.0/1516.44.0.1 to 16.45.255.25416.45.255.255131,070
2416.46.0.0/1516.46.0.1 to 16.47.255.25416.47.255.255131,070
2516.48.0.0/1516.48.0.1 to 16.49.255.25416.49.255.255131,070
2616.50.0.0/1516.50.0.1 to 16.51.255.25416.51.255.255131,070
2716.52.0.0/1516.52.0.1 to 16.53.255.25416.53.255.255131,070
2816.54.0.0/1516.54.0.1 to 16.55.255.25416.55.255.255131,070
2916.56.0.0/1516.56.0.1 to 16.57.255.25416.57.255.255131,070
3016.58.0.0/1516.58.0.1 to 16.59.255.25416.59.255.255131,070
3116.60.0.0/1516.60.0.1 to 16.61.255.25416.61.255.255131,070
3216.62.0.0/1516.62.0.1 to 16.63.255.25416.63.255.255131,070
3316.64.0.0/1516.64.0.1 to 16.65.255.25416.65.255.255131,070
3416.66.0.0/1516.66.0.1 to 16.67.255.25416.67.255.255131,070
3516.68.0.0/1516.68.0.1 to 16.69.255.25416.69.255.255131,070
3616.70.0.0/1516.70.0.1 to 16.71.255.25416.71.255.255131,070
3716.72.0.0/1516.72.0.1 to 16.73.255.25416.73.255.255131,070
3816.74.0.0/1516.74.0.1 to 16.75.255.25416.75.255.255131,070
3916.76.0.0/1516.76.0.1 to 16.77.255.25416.77.255.255131,070
4016.78.0.0/1516.78.0.1 to 16.79.255.25416.79.255.255131,070
4116.80.0.0/1516.80.0.1 to 16.81.255.25416.81.255.255131,070
4216.82.0.0/1516.82.0.1 to 16.83.255.25416.83.255.255131,070
4316.84.0.0/1516.84.0.1 to 16.85.255.25416.85.255.255131,070
4416.86.0.0/1516.86.0.1 to 16.87.255.25416.87.255.255131,070
4516.88.0.0/1516.88.0.1 to 16.89.255.25416.89.255.255131,070
4616.90.0.0/1516.90.0.1 to 16.91.255.25416.91.255.255131,070
4716.92.0.0/1516.92.0.1 to 16.93.255.25416.93.255.255131,070
4816.94.0.0/1516.94.0.1 to 16.95.255.25416.95.255.255131,070
4916.96.0.0/1516.96.0.1 to 16.97.255.25416.97.255.255131,070
5016.98.0.0/1516.98.0.1 to 16.99.255.25416.99.255.255131,070
5116.100.0.0/1516.100.0.1 to 16.101.255.25416.101.255.255131,070
5216.102.0.0/1516.102.0.1 to 16.103.255.25416.103.255.255131,070
5316.104.0.0/1516.104.0.1 to 16.105.255.25416.105.255.255131,070
5416.106.0.0/1516.106.0.1 to 16.107.255.25416.107.255.255131,070
5516.108.0.0/1516.108.0.1 to 16.109.255.25416.109.255.255131,070
5616.110.0.0/1516.110.0.1 to 16.111.255.25416.111.255.255131,070
5716.112.0.0/1516.112.0.1 to 16.113.255.25416.113.255.255131,070
5816.114.0.0/1516.114.0.1 to 16.115.255.25416.115.255.255131,070
5916.116.0.0/1516.116.0.1 to 16.117.255.25416.117.255.255131,070
6016.118.0.0/1516.118.0.1 to 16.119.255.25416.119.255.255131,070
6116.120.0.0/1516.120.0.1 to 16.121.255.25416.121.255.255131,070
6216.122.0.0/1516.122.0.1 to 16.123.255.25416.123.255.255131,070
6316.124.0.0/1516.124.0.1 to 16.125.255.25416.125.255.255131,070
6416.126.0.0/1516.126.0.1 to 16.127.255.25416.127.255.255131,070
6516.128.0.0/1516.128.0.1 to 16.129.255.25416.129.255.255131,070
6616.130.0.0/1516.130.0.1 to 16.131.255.25416.131.255.255131,070
6716.132.0.0/1516.132.0.1 to 16.133.255.25416.133.255.255131,070
6816.134.0.0/1516.134.0.1 to 16.135.255.25416.135.255.255131,070
6916.136.0.0/1516.136.0.1 to 16.137.255.25416.137.255.255131,070
7016.138.0.0/1516.138.0.1 to 16.139.255.25416.139.255.255131,070
7116.140.0.0/1516.140.0.1 to 16.141.255.25416.141.255.255131,070
7216.142.0.0/1516.142.0.1 to 16.143.255.25416.143.255.255131,070
7316.144.0.0/1516.144.0.1 to 16.145.255.25416.145.255.255131,070
7416.146.0.0/1516.146.0.1 to 16.147.255.25416.147.255.255131,070
7516.148.0.0/1516.148.0.1 to 16.149.255.25416.149.255.255131,070
7616.150.0.0/1516.150.0.1 to 16.151.255.25416.151.255.255131,070
7716.152.0.0/1516.152.0.1 to 16.153.255.25416.153.255.255131,070
7816.154.0.0/1516.154.0.1 to 16.155.255.25416.155.255.255131,070
7916.156.0.0/1516.156.0.1 to 16.157.255.25416.157.255.255131,070
8016.158.0.0/1516.158.0.1 to 16.159.255.25416.159.255.255131,070
8116.160.0.0/1516.160.0.1 to 16.161.255.25416.161.255.255131,070
8216.162.0.0/1516.162.0.1 to 16.163.255.25416.163.255.255131,070
8316.164.0.0/1516.164.0.1 to 16.165.255.25416.165.255.255131,070
8416.166.0.0/1516.166.0.1 to 16.167.255.25416.167.255.255131,070
8516.168.0.0/1516.168.0.1 to 16.169.255.25416.169.255.255131,070
8616.170.0.0/1516.170.0.1 to 16.171.255.25416.171.255.255131,070
8716.172.0.0/1516.172.0.1 to 16.173.255.25416.173.255.255131,070
8816.174.0.0/1516.174.0.1 to 16.175.255.25416.175.255.255131,070
8916.176.0.0/1516.176.0.1 to 16.177.255.25416.177.255.255131,070
9016.178.0.0/1516.178.0.1 to 16.179.255.25416.179.255.255131,070
9116.180.0.0/1516.180.0.1 to 16.181.255.25416.181.255.255131,070
9216.182.0.0/1516.182.0.1 to 16.183.255.25416.183.255.255131,070
9316.184.0.0/1516.184.0.1 to 16.185.255.25416.185.255.255131,070
9416.186.0.0/1516.186.0.1 to 16.187.255.25416.187.255.255131,070
9516.188.0.0/1516.188.0.1 to 16.189.255.25416.189.255.255131,070
9616.190.0.0/1516.190.0.1 to 16.191.255.25416.191.255.255131,070
9716.192.0.0/1516.192.0.1 to 16.193.255.25416.193.255.255131,070
9816.194.0.0/1516.194.0.1 to 16.195.255.25416.195.255.255131,070
9916.196.0.0/1516.196.0.1 to 16.197.255.25416.197.255.255131,070
10016.198.0.0/1516.198.0.1 to 16.199.255.25416.199.255.255131,070
10116.200.0.0/1516.200.0.1 to 16.201.255.25416.201.255.255131,070
10216.202.0.0/1516.202.0.1 to 16.203.255.25416.203.255.255131,070
10316.204.0.0/1516.204.0.1 to 16.205.255.25416.205.255.255131,070
10416.206.0.0/1516.206.0.1 to 16.207.255.25416.207.255.255131,070
10516.208.0.0/1516.208.0.1 to 16.209.255.25416.209.255.255131,070
10616.210.0.0/1516.210.0.1 to 16.211.255.25416.211.255.255131,070
10716.212.0.0/1516.212.0.1 to 16.213.255.25416.213.255.255131,070
10816.214.0.0/1516.214.0.1 to 16.215.255.25416.215.255.255131,070
10916.216.0.0/1516.216.0.1 to 16.217.255.25416.217.255.255131,070
11016.218.0.0/1516.218.0.1 to 16.219.255.25416.219.255.255131,070
11116.220.0.0/1516.220.0.1 to 16.221.255.25416.221.255.255131,070
11216.222.0.0/1516.222.0.1 to 16.223.255.25416.223.255.255131,070
11316.224.0.0/1516.224.0.1 to 16.225.255.25416.225.255.255131,070
11416.226.0.0/1516.226.0.1 to 16.227.255.25416.227.255.255131,070
11516.228.0.0/1516.228.0.1 to 16.229.255.25416.229.255.255131,070
11616.230.0.0/1516.230.0.1 to 16.231.255.25416.231.255.255131,070
11716.232.0.0/1516.232.0.1 to 16.233.255.25416.233.255.255131,070
11816.234.0.0/1516.234.0.1 to 16.235.255.25416.235.255.255131,070
11916.236.0.0/1516.236.0.1 to 16.237.255.25416.237.255.255131,070
12016.238.0.0/1516.238.0.1 to 16.239.255.25416.239.255.255131,070
12116.240.0.0/1516.240.0.1 to 16.241.255.25416.241.255.255131,070
12216.242.0.0/1516.242.0.1 to 16.243.255.25416.243.255.255131,070
12316.244.0.0/1516.244.0.1 to 16.245.255.25416.245.255.255131,070
12416.246.0.0/1516.246.0.1 to 16.247.255.25416.247.255.255131,070
12516.248.0.0/1516.248.0.1 to 16.249.255.25416.249.255.255131,070
12616.250.0.0/1516.250.0.1 to 16.251.255.25416.251.255.255131,070
12716.252.0.0/1516.252.0.1 to 16.253.255.25416.253.255.255131,070
12816.254.0.0/1516.254.0.1 to 16.255.255.25416.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses